## zlib 1.2.7.dfsg-13maemo1+0cssu1

=== debian/changelog ===
zlib (1:1.2.7.dfsg-13maemo1+0cssu1) unstable; urgency=low

  * Adopt package for Maemo
  * Requires fixed libxml2
  * ARM NEON patches
    - adler32 - from meego zlib-1.2.7-adler32_vec_kaffeemonster.patch
      (aprox. 7% decompression speed up)
    - slhash - from https://github.com/kaffeemonster/zlib/tree/slhash
      (approx 18% compression speed up)

 -- Ludek Finstrle <luf@pzkagis.cz>  Fri, 29 Dec 2012 19:50:51 +0100

zlib (1:1.2.3-9.osso9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Attiq Malik <ext-attiq.1.malik@nokia.com>  Wed, 01 Jul 2009 13:16:21 +0300

zlib (1:1.2.3-9.osso9) unstable; urgency=low

  * Recompile. Fixes: NB#124322.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 29 Jun 2009 19:05:59 +0300
