## zlib 1.2.8.dfsg

=== debian/changelog ===
zlib (1:1.2.8.dfsg-2ubuntu4.3) xenial-security; urgency=medium

  * SECURITY UPDATE: improper pointer arithmetic might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9840.patch: remove offset pointer optimization
      in inftrees.c
    - CVE-2016-9840
  * SECURITY UPDATE: improper pointer arithmetic might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9841.patch: use post-increment only in inffast.c
    - CVE-2016-9841
  * SECURITY UPDATE: vectors involving left shifts of negative integers might
    allow context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9842_1.patch: avoid shifts of negative values in
      inflateMark()
    - debian/patches/CVE-2016-9842_2.patch: avoid casting an out-of-range
      value to long
    - CVE-2016-9842
  * SECURITY UPDATE: vectors involving big-endian CRC calculation might allow
    context-dependent attackers to have unspecified impact
    - debian/patches/CVE-2016-9843.patch: avoid pre-decrement of pointer in 
      big-endian CRC calculation
    - CVE-2016-9843

 -- Avital Ostromich <avital.ostromich@canonical.com>  Wed, 08 Jan 2020 11:06:35 -0500

zlib (1:1.2.8.dfsg-2ubuntu4.1) xenial-proposed; urgency=medium

  * SRU
  * Move zconf.h back to /usr/include (not differing across architectures)
    anymore. Closes: #787956. LP: #1512992.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Mar 2017 18:31:53 +0100

zlib (1:1.2.8.dfsg-2ubuntu4) wily; urgency=medium

  * Call dh_makeshlibs for the 64bit multilib package.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 17:47:16 +0200

zlib (1:1.2.8.dfsg-2ubuntu3) wily; urgency=medium

  * Install zconf.h for multilib packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2015 16:26:09 +0200

zlib (1:1.2.8.dfsg-2ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build x32 packages.  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Oct 2014 10:16:38 +0100

zlib (1:1.2.8.dfsg-2) unstable; urgency=low

  * Drop zlib-bin package as minizip has now been packaged separately,
    delay due to lack of notice regarding upload (closes: #753070).

 -- Mark Brown <broonie@debian.org>  Sat, 16 Aug 2014 15:12:11 +0100

zlib (1:1.2.8.dfsg-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build x32 packages.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 May 2013 13:31:17 +0100

zlib (1:1.2.8.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Policy 3.9.4.
  * Tweak version for gzseek64 and gztell64 (closes: #687076).
  * Install zconf.h in multiarch path (closes: #698648).

 -- Mark Brown <broonie@debian.org>  Fri, 03 May 2013 16:30:36 +0100
