=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Mark Brown <broonie@debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 4.0.0
 Homepage: http://zlib.net/
-Build-Depends: debhelper (>= 8.1.3~), binutils (>= 2.18.1~cvs20080103-2) [mips mipsel], gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x], dpkg-dev (>= 1.16.1)
+Build-Depends: debhelper (>= 8.1.3~), gcc-multilib [amd64 i386 kfreebsd-amd64 mips mipsel powerpc ppc64 s390 sparc s390x mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64 mips64el mips64r6 mips64r6el x32] <!nobiarch>, dpkg-dev (>= 1.16.1)
 
 Package: zlib1g
 Architecture: any
@@ -32,17 +32,6 @@
  in gzip and PKZIP.  This package includes the development support
  files.
 
-Package: zlib1g-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: zlib1g (= ${binary:Version})
-Provides: libz-dbg
-Description: compression library - development
- zlib is a library implementing the deflate compression method found
- in gzip and PKZIP.  This package includes debugging symbols for use
- when debugging applications which use zlib.
-
 Package: zlib1g-udeb
 XC-Package-Type: udeb
 Architecture: any
@@ -54,7 +43,8 @@
  for use with the Debian installer.
 
 Package: lib64z1
-Architecture: sparc s390 i386 powerpc mips mipsel
+Architecture: sparc s390 i386 powerpc mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
+Build-Profiles: <!nobiarch>
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: amd64-libs (<< 1.4)
 Description: compression library - 64 bit runtime
@@ -64,17 +54,23 @@
 
 Package: lib64z1-dev
 Section: libdevel
-Architecture: sparc s390 i386 powerpc mips mipsel
+Architecture: sparc s390 i386 powerpc mips mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el x32
+Build-Profiles: <!nobiarch>
 Depends: lib64z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib64c-dev, ${misc:Depends}
 Replaces: amd64-libs-dev (<< 1.4)
 Provides: lib64z-dev
-Description: compression library - 64 bit development
+Description: compression library - 64 bit - DO NOT USE EXCEPT FOR PACKAGING
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the development support
  files for building 64 bit applications.
+ .
+ This package should ONLY be used for building packages, users who do
+ not need to build packages should use multiarch to install the relevant
+ runtime.
 
 Package: lib32z1
 Architecture: amd64 ppc64 kfreebsd-amd64 s390x
+Build-Profiles: <!nobiarch>
 Conflicts: libc6-i386 (<= 2.9-18)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: ia32-libs (<< 1.5)
@@ -86,17 +82,23 @@
 Package: lib32z1-dev
 Section: libdevel
 Architecture: amd64 ppc64 kfreebsd-amd64 s390x
+Build-Profiles: <!nobiarch>
 Conflicts: libc6-i386 (<= 2.9-18)
 Depends: lib32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), lib32c-dev, ${misc:Depends}
 Provides: lib32z-dev
 Replaces: ia32-libs-dev (<< 1.5)
-Description: compression library - 32 bit development
+Description: compression library - 32 bit - DO NOT USE EXCEPT FOR PACKAGING
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the development support
  files for building 32 bit applications.
+ .
+ This package should ONLY be used for building packages, users who do
+ not need to build packages should use multiarch to install the relevant
+ runtime.
 
 Package: libn32z1
 Architecture: mips mipsel
+Build-Profiles: <!nobiarch>
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: compression library - n32 runtime
  zlib is a library implementing the deflate compression method found
@@ -106,12 +108,17 @@
 Package: libn32z1-dev
 Section: libdevel
 Architecture: mips mipsel
+Build-Profiles: <!nobiarch>
 Depends: libn32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libn32c-dev, ${misc:Depends}
 Provides: libn32z-dev
-Description: compression library - n32 development
+Description: compression library - n32 - DO NOT USE EXCEPT FOR PACKAGING
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the development support
  files for building n32 applications.
+ .
+ This package should ONLY be used for building packages, users who do
+ not need to build packages should use multiarch to install the relevant
+ runtime.
 
 Package: libx32z1
 Architecture: amd64 i386
@@ -126,7 +133,11 @@
 Architecture: amd64 i386
 Depends: libx32z1 (= ${binary:Version}), zlib1g-dev (= ${binary:Version}), libc6-dev-x32, ${misc:Depends}
 Provides: libx32z-dev
-Description: compression library - x32 development
+Description: compression library - x32 - DO NOT USE EXCEPT FOR PACKAGING
  zlib is a library implementing the deflate compression method found
  in gzip and PKZIP.  This package includes the development support
  files for building n32 applications.
+ .
+ This package should ONLY be used for building packages, users who do
+ not need to build packages should use multiarch to install the relevant
+ runtime.
